// MocapView.cpp : implementation of the CMocapView class
//

#include "stdafx.h"
#include "Mocap.h"

#include "MocapDoc.h"
#include "MocapView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CMocapView

IMPLEMENT_DYNCREATE(CMocapView, CView)

BEGIN_MESSAGE_MAP(CMocapView, CView)
END_MESSAGE_MAP()

// CMocapView construction/destruction

CMocapView::CMocapView()
{
	// TODO: add construction code here

}

CMocapView::~CMocapView()
{
}

BOOL CMocapView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

// CMocapView drawing

void CMocapView::OnDraw(CDC* /*pDC*/)
{
	CMocapDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	if (!pDoc)
		return;

	// TODO: add draw code for native data here
}


// CMocapView diagnostics

#ifdef _DEBUG
void CMocapView::AssertValid() const
{
	CView::AssertValid();
}

void CMocapView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CMocapDoc* CMocapView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CMocapDoc)));
	return (CMocapDoc*)m_pDocument;
}
#endif //_DEBUG


// CMocapView message handlers
